Solution Cannot Be Loaded

Jul 6, 2011 at 10:44 PM

I just recently downloaded NodeXL for the first time and when I tried to open the template, I get the following message:

"The following solution cannot be loaded because Microsoft Office support for the .NET Framework 3.5 is not installed: NodeXLGraph.xltx"

I then proceeded to download the .NET Framework 4.0 and the same message is still appearing when I try to open NodeXL.

I am using the template on Office 2007 with Window 7.  Thanks!

Jul 7, 2011 at 6:00 AM

Please try manually installing the "Microsoft Visual Studio Tools for the Microsoft Office System (version 3.0 Runtime) Service Pack 1 (x86)."  This is a piece of required software that is supposed to be automatically installed with NodeXL, but perhaps something went wrong during its installation.  You can download it from here:

http://www.microsoft.com/download/en/details.aspx?id=1132

-- Tony

Feb 22, 2012 at 1:02 PM
Edited Feb 22, 2012 at 1:03 PM

Tony,

I did as what you said, and installed it,  but I still got the same message :

"The following solution cannot be loaded because Microsoft Office support for the .NET Framework 3.5 is not installed: NodeXLGraph.xltx"

 

please help me! thanks!

I am using the template on office 2010 with windows 7

 

Ming Chen

 


Feb 22, 2012 at 3:39 PM

When you downloaded an unzipped the NodeXL setup program, did you double-click the file called "Setup" (or "Setup.exe," depending on how you have Windows Explorer configured to show file names)?  It sounds like you double-clicked the file called "Dnrd" instead.

-- Tony

Feb 23, 2012 at 8:38 AM

I am having the exact same problem.  I am running Windows 7 with Office 2010.  After installing the template from the Setup.exe, I received the message:

"The following solution cannot be loaded because Microsoft Office support for the .NET Framework 3.5 is not installed: NodeXLGraph.xltx"

I then installed Framework 4 and am still receiving the same message.

 

-Matt

Feb 23, 2012 at 11:39 AM

I indeed double-clicked the setup, not the file called Dnrd.

 

 

Ming Chen

Feb 24, 2012 at 4:54 PM
Edited Feb 24, 2012 at 4:55 PM

Hmm...  Just when I thought I had seen all possible NodeXL setup problems, another new one pops up.

I see from a post at http://www.ceptara.com/node/339 that other people have had a similar problem when the .NET Framework 3.5 was not installed by someone with administrator rights.  To see if that's the problem, please try the following:

1. Log into Windows as an administrator, or have someone else do so.

2. Go to http://www.microsoft.com/download/en/details.aspx?displaylang=en&id=22, then download and run the file called dotnetfx35setup.exe.  Do that even if you have done it before.

3. Go to http://www.microsoft.com/download/en/details.aspx?id=1132, then download and run the file called vstor30sp1-KB949258-x86.exe.  Do that even if you have done it before.

4. Uninstall NodeXL.  You can do that by either 1) running NodeXL's Setup.exe program again and selecting the "remove" option; or 2) going to Control Panel, Programs and Features; searching for "NodeXL" in the search box in Programs and Features; and uninstalling everything it finds that contains "NodeXL."

5. Install NodeXL again by running NodeXL's Setup.exe program.

-- Tony

 

Feb 26, 2012 at 7:37 AM

Thanks for your answers.

I did as your instructions, but it doesn't work. 

I think that the problem is probably not caused by nodexl setup, but by the .net framework 3.51 integrated in windows 7, because I successfully installed the nodexl in the same notebook before. 

I verified the .net framework 3.51 in my windows system with the .net framework verifying tools provided by Microsoft and find it's verified success.

I can't find out what happened to my system.

Now the only way I can do is to reinstall my windows system.

Thanks again.

 

Ming Chen 

Feb 28, 2012 at 2:00 AM

Ming:

Are you saying that an earlier version of NodeXL was running fine on this notebook, but when you installed a newer version, you suddenly started getting the message "The following solution cannot be loaded because Microsoft Office support for the .NET Framework 3.5 is not installed: NodeXLGraph.xltx"?  If that's the case, then I definitely don't know what happened.  Once the required software* is installed, newer versions of NodeXL don't need to install it again and they should all work just fine.

-- Tony

*  Microsoft .NET Framework 3.5 Service Pack 1 and Microsoft Visual Studio Tools for the Microsoft Office System (version 3.0 Runtime) Service Pack 1 (x86).

Aug 1, 2012 at 10:37 AM
Edited Aug 1, 2012 at 3:11 PM

Hi

Has anybody managed to find a solution for this.

 

I am getting exactly the same problem on a Windows XP SP3 machine with Office 2007 and .Net 3.5 SP1 loaded.

 

I've tried all the advice above, but no joy.

 

Thanks

Mike

Aug 1, 2012 at 8:56 PM

After struggling for 3 days, out of desperation and not knowing what else to try, I installed Visual Studio 2010 Ultimate trial.

This solved this problem, but is probably overkill as it is a couple of Gig to download and takes about an hour to install, but finally my NodeXL is working.

http://www.microsoft.com/en-us/download/details.aspx?id=12752